<div class="container">
  <div class="row">
    <div class="col-lg-6 mx-auto">
      <div class="card card-signin my-5">
      <div class="card-body">
        <h2>Inicio de sesión</h2>
        <hr class="my-4">

        <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" novalidate>
          <div class="form-group">
            <label>Usuario</label>
            <input type="text" class="form-control" formControlName="usuario" placeholder="Nombre de usuario" required>
            <div *ngIf="getControl.usuario.touched && getControl.usuario.invalid" class="text-danger">
              <div *ngIf="getControl.usuario?.errors?.required">Debes indicar el Nombre de Usuario.</div>
            </div>
          </div>
          
          <hr class="my-3">
          <div class="form-group">
            <label>Clave</label>
            <input type="password"  class="form-control" formControlName="clave" placeholder="Clave" required> 
            <div *ngIf="getControl.clave.touched && getControl.clave.invalid" class="text-danger">
              <div *ngIf="getControl.clave?.errors?.required">Debes indicar la clave.</div>
            </div>             
          </div>
          <hr class="my-2">
          
          <div class="row">
            &nbsp;
            <button type="button" class="btn btn-dark" type="submit">Login</button>
            &nbsp;
            <button type="button" class="btn btn-secondary" routerLink="/register">Registrarse</button>
            &nbsp;
          </div>
        </form>
        
      </div>
    </div>
  </div>
  </div>
</div>